# Note that this is NOT a relocatable package

#
# (fg) 20010111 Library stuff
#

%define version 0.5
%define release	2mdk

%define libmajor 0
%define libname libfnlib%{libmajor}

Summary: 	Color font rendering library for X11R6.
Name: 		%{libname}
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		System/Libraries
BuildRequires: 	XFree86-devel imlib-devel libjpeg-devel libpng-devel libtiff-devel libungif-devel zlib-devel
Source: 	ftp://www.rasterman.com/pub/enlightenment/libs/fnlib/fnlib-%{version}.tar.bz2
Obsoletes: 	Fnlib fnlib
Provides:	Fnlib fnlib
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://www.rasterman.com/
Requires: 	imlib

%description
Fnlib is a library that provides full, scalable 24-bit color font 
rendering abilities for X.

%package devel
Summary: Headers, static libraries and documentation for Fnlib.
Group: Development/C
Requires: %{name} = %{version}
Obsoletes: Fnlib fnlib-devel
Provides: Fnlib fnlib-devel
Provides: libfnlib-devel

%description devel
This package has the Headers, static libraries and documentation for Fnlib.

%prep
%setup -q -n fnlib-%{version}

%build
libtoolize --force
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall \
	DESTDIR=$RPM_BUILD_ROOT \
	includedir=%{_includedir} \
	libdir=%{_libdir} \
	sysconfdir=%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README
%config(noreplace) %{_sysconfdir}/fnrc
%{_libdir}/lib*.so.*
%{_datadir}/fnlib_fonts/*

%files devel
%defattr(-, root, root)
%doc doc/index.html
%doc doc/fontinfo.README
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/*

%changelog
* Fri Oct 19 2001 Yves Duret <yduret@mandrakesoft.com> 0.5-2mdk
- rebuild against libpng3
- sanitized spec file
- rpmlintization a bit (fg sux), still some to do

* Thu Jan 11 2001 Francis Galiegue <fg@mandrakesoft.com> 0.5-1mdk
- new lib policy:
  * s,fnlib,lib&
  * fixed requires and provides
  * obsoletes fnlib (and -devel)
- Some spec file changes
- /etc/fnrc is %%config(noreplace)

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5-3mdk
- rebuild with macros from Stefan (spec patch didn't apply too cleanly ...)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-2mdk
- automatically added BuildRequires

* Wed Jun  7 2000 Pixel <pixel@mandrakesoft.com> 0.5-1mdk
- new version

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.4-14mdk
- rpm group update
- spec-helperizing specfile

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4-13mdk
- libtoolize --force.

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed a little the %description of -devel package; so it
  can be distinguished from Summary for the translations teams
  and the new automated integration of l10n'ed descriptions. 

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Builf for Mandrake.

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3

